<?php
session_start();
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}

if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$detalle=$_REQUEST["detalle"];
require('fphp.php');
$enlace=cargar_conexion();
$consulta=mysql_query("select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysql_num_rows($consulta)!=0){
	$row=mysql_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Item	
&nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='prestaciones_parametro.php?'>Regresar</a>
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Historico de Parametros</h2><br>";

////////////////////////////////////////////  grabar documento
if ($_POST['bandera']==1) {
		$consulta	 ="insert into historico_parametro (id,anio,duti,dvac) values ";
		$consulta 	.="('".$_SESSION['id_validar']."','".$_POST['anio']."','".$_POST['duti']."','".$_POST['dvac']."')";
		$resultado = mysql_query( $consulta)  or die($consulta . mysql_error());
		$men="Registro Grabado..";
}

////////////////////////////////////////////  eliminar item
if ($accion==2) {
		$consulta="delete from historico_parametro where id='".$_SESSION['id_validar']."' and anio='".$codigo."'";
		$resultado = mysql_query( $consulta)  or die($consulta . mysql_error());
		$men="Registro Eliminado..";
}


////////////////////////////////////////////  pantalla inicial
?>	
	<form name = 'entrada' action = '<? echo $_SERVER['PHP_SELF']; ?>' method = 'POST' onSubmit='return validar_comprobante(this)'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>
			<tr>
				<td align='right'><b>Aņo del Proceso?</b></td>
				<td ><input type = 'text' name='anio' size='20' maxlength='4'>
				</font></td>
			</tr>
			<tr>
				<td align='right'>D&iacute;as de Utilidades?</td>
				<td ><input type = 'text' name='duti' size='20' >
				</font></td>
			</tr>
			<tr>
				<td align='right'>D&iacute;as de Vacaciones?</td>
				<td ><input type = 'text' name='dvac' size='20' >
				</font></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>	
			<tr>
				<td align='right'>Opci&oacute;n:</font></td>
				<td><input type = 'submit' value = 'Grabar Historico' onclick='return validar_grabar()'></td>
			</tr>
		</table>
		<center><font color='red'><b><?echo $men; ?></b></font></center>	
		<script language='javascript' type='text/javascript'>
			document.entrada.anio.focus();
		</script>
	</form>
	
<? 

	$consulta="select * from historico_parametro where id='".$_SESSION['id_validar']."' order by anio desc";
	$resultado = mysql_query($consulta) or die($consulta . mysql_error());
	$num_rows = mysql_num_rows($resultado);
	if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Aņo de Proceso</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Dias de Utilidad</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Dias de Vacaci&oacute;n</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Elegir </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysql_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".$row['anio']."</td>";
				echo "<td width='100' align='right'>".number_format($row['duti'],2)."</td>";
				echo "<td width='100' align='right'>".number_format($row['dvac'],2)."</td>";
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$row['anio']."'><img border = 0 src='images/b_elimina.png' alt='Eliminar'></a></td>";
				echo '</tr>';
			}
		echo '</tr></table></form>';
	}  		
	mysql_free_result($resultado);	
	mysql_close($enlace); 

    echo "</font></body>";
	echo "</html>";
?>